# Sign in request

## Generate :unlock:

To create a sign in request as a dApp, call the following endpoint with the necessary parameters.

{% hint style="warning" %}
This is a protected call which uses API authentication. See how to implement it in [**API authentication**](/api/authentication.md) section.
{% endhint %}

{% openapi src="/files/IoEMLLlEMYecgfMTUZ2D" path="/api/sign-in-requests" method="post" %}
[openapi-spec.json](https://4100684485-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPlB1oN5qXYGlSUWHxkql%2Fuploads%2Fgit-blob-cbbcae6fea374cebec1fa40b6477c93b3c9f8e5b%2Fopenapi-spec.json?alt=media)
{% endopenapi %}

{% hint style="info" %}
Each sign in request has **7 days** to be signed or rejected before it expires.
{% endhint %}

## Get

With the provided sign in token, this method will return all pertinent information from the sign in request.

{% openapi src="/files/IoEMLLlEMYecgfMTUZ2D" path="/api/sign-in-requests/{signInToken}" method="get" %}
[openapi-spec.json](https://4100684485-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPlB1oN5qXYGlSUWHxkql%2Fuploads%2Fgit-blob-cbbcae6fea374cebec1fa40b6477c93b3c9f8e5b%2Fopenapi-spec.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ckbull.app/api/requests/sign-in-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
